Bug 84708 - if ftp install can't find comps.rpm, infinite retry loop
if ftp install can't find comps.rpm, infinite retry loop
Product: Red Hat Raw Hide
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-02-20 15:17 EST by Matthew Miller
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-25 10:52:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2003-02-20 15:17:29 EST
I deleted comps.rpm to see what would happen, and did an FTP install. 

Turns out: when anaconda gets to that point in the installer, the main screen
gets stuck on all blue, while on tty3 I get

* IOError ftp error occured getting
ftp://server/path/i386/RedHat/base/comps.rpm: [Errno ftp error] 550 comps.rpm:
not a regular file

over and over infinitely until I put comps.rpm back, at which point everything
continuted normally.

And am I missing something, or is the whole comps.rpm thing a really gross hack? :)
Comment 1 Jeremy Katz 2003-02-20 15:40:13 EST
It's a huge hack, but it won't loop forever now :)
Comment 2 Matthew Miller 2003-02-20 16:00:24 EST
Ok good. :)
Comment 3 Brent Fox 2003-05-25 10:52:03 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.